/production-api/department/getallRetrieves all active ProductionDepartments
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Response Body
application/json
curl -X GET "https://example.com/production-api/department/getall"[ { "id": 0, "code": "string", "name": "string", "deliveryTime": 0, "defaultProductionPackageId": 0, "employeeIds": [ 0 ] }]/production-api/department/getbyidRetrieve a ProductionDepartment by its ID
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ID of the desired ProductionDepartment
Response Body
application/json
curl -X GET "https://example.com/production-api/department/getbyid?id=0"{ "id": 0, "code": "string", "name": "string", "deliveryTime": 0, "defaultProductionPackageId": 0, "employeeIds": [ 0 ]}/production-api/department/createCreates a new ProductionDepartment
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The desired ProductionDepartment
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/production-api/department/create" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "name": "string", "deliveryTime": 0 }'{ "id": 0, "code": "string", "name": "string", "deliveryTime": 0, "defaultProductionPackageId": 0, "employeeIds": [ 0 ]}/production-api/department/updateUpdates an existing ProductionDepartment
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
The updated ProductionDepartment model
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/production-api/department/update" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "name": "string", "deliveryTime": 0 }'{ "id": 0, "code": "string", "name": "string", "deliveryTime": 0, "defaultProductionPackageId": 0, "employeeIds": [ 0 ]}/production-api/department/deleteDeletes an existing ProductionDepartment
Authorization
Bearer Access Token used to access this API (JWT bearer token).
In: header
Query Parameters
The ProductionDepartment ID
Response Body
curl -X DELETE "https://example.com/production-api/department/delete?id=0"